Skip to main content

Enum

4 endpoints

GET /enums/company-type List all company types

List all company types.

Parameters

id
string · query
Enum identifier
name
string · query
Name
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
401 Unauthorized
GET https://api.qa.onyze.pro/v1/enums/company-type
Response 200
[
{
"id": "1",
"name": "ADMINISTRACION PUBLICA"
}
]
GET /enums/id-type List all id types

List all id types.

Parameters

id
string · query
Enum identifier
name
string · query
Name
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
401 Unauthorized
GET https://api.qa.onyze.pro/v1/enums/id-type
Response 200
[
{
"id": "1",
"name": "ADMINISTRACION PUBLICA"
}
]
GET /enums/purpose-business-relationship List all purposes business relationships

List all purposes business relationships.

Parameters

id
string · query
Enum identifier
name
string · query
Name
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
401 Unauthorized
GET https://api.qa.onyze.pro/v1/enums/purpose-business-relationship
Response 200
[
{
"id": "1",
"name": "ADMINISTRACION PUBLICA"
}
]
GET /enums/cnae List all CNAEs

List all CNAEs.

Parameters

code
string · query
CNAE code
group
string · query
CNAE group
name
string · query
CNAE name
page
number · query
Page number of the records list
limit
number · query
Max number of records by page. limit=0 to return all records
sort
string · query
Sort the response PARAM or -PARAM

Responses

200
401 Unauthorized
GET https://api.qa.onyze.pro/v1/enums/cnae
Response 200
[
{
"id": "1",
"name": "ADMINISTRACION PUBLICA"
}
]